GET /email_delivery/emails/stats/timeseries
GETemail_delivery/emails/stats/timeseries
Retrieve timeseries statistics for email deliveries grouped by date
Query Parameters
period_from string Required
example 2021-07-06T00:00:00.000Z
period_to string Required
example 2021-07-06T00:00:00.000Z
offset string
Number of items to skip before starting to return results
limit string
Maximum number of items to return per request
domain string
Filter by domain (partial string match)
status string
Filter by status. Can be a single value, comma-separated values, or JSON array.
sort string
Sort results by field.
Returns
- dataarray
- datestringDate in YYYY-MM-DD format
- total_countintegerTotal number of email deliveries for this date
- requestedintegerNumber of emails with status REQUESTED
- sendingintegerNumber of emails with status SENDING
- deliveredintegerNumber of emails with status DELIVERED
- openedintegerNumber of delivered emails that were opened
- clickedintegerNumber of delivered emails where links were clicked
- unsubscribedintegerNumber of delivered emails where recipient unsubscribed
- hard_bouncedintegerNumber of hard bounces
- bouncedintegerNumber of soft bounces
- spam_reportedintegerNumber of spam reports
- dropped_unsubscribedintegerEmails dropped due to unsubscribe
- dropped_hard_bouncedintegerEmails dropped due to hard bounce
- dropped_spam_reportedintegerEmails dropped due to spam report
- dropped_manually_suppressedintegerEmails dropped due to manual suppression
- datestring
- metaobjectPagination metadata for list responses
- countintegerTotal number of items available
- offsetintegerNumber of items skipped
- limitintegerMaximum number of items returned per request
- countinteger
Error Codes
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
500 Internal Server Error
Internal server error